POST /api/conversations/{conversationId}/new-session
curl --request POST \
--url https://app.worksong.ai/api/conversations/{conversationId}/new-session \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/conversations/{conversationId}/new-session"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/conversations/{conversationId}/new-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/conversations/{conversationId}/new-session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/conversations/{conversationId}/new-session"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/conversations/{conversationId}/new-session")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/conversations/{conversationId}/new-session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"peerBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "main",
"title": "<string>",
"lastSeq": 4503599627370495,
"lastActivityAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Conversations
POST /api/conversations/{conversationId}/new-session
Start a fresh main chat: retire this conversation as archived, forget its gateway session, and insert a new main so conversations_bot_main_key still holds.
POST
/
api
/
conversations
/
{conversationId}
/
new-session
POST /api/conversations/{conversationId}/new-session
curl --request POST \
--url https://app.worksong.ai/api/conversations/{conversationId}/new-session \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/conversations/{conversationId}/new-session"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/conversations/{conversationId}/new-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/conversations/{conversationId}/new-session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/conversations/{conversationId}/new-session"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/conversations/{conversationId}/new-session")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/conversations/{conversationId}/new-session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"peerBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "main",
"title": "<string>",
"lastSeq": 4503599627370495,
"lastActivityAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Available options:
main, dm, room, routine, task, archived Required string length:
1 - 200Required range:
0 <= x <= 9007199254740991